Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 857540 - pid and log file path violates system path rules, and config files NOT owned by 'root' [NEEDINFO]
Summary: pid and log file path violates system path rules, and config files NOT owned ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: jabberd
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-14 19:06 UTC by matthew patton
Modified: 2018-04-11 18:39 UTC (History)
5 users (show)

Fixed In Version: jabberd-2.4.0-4.el6 jabberd-2.4.0-4.fc25 jabberd-2.4.0-4.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-06 02:46:32 UTC
Type: Bug
Embargoed:
mcepl: needinfo?


Attachments (Terms of Use)
suggested patch (5.50 KB, patch)
2015-02-26 00:49 UTC, Matěj Cepl
no flags Details | Diff

Description matthew patton 2012-09-14 19:06:32 UTC
Jabberd log and pid files are flagrantly misplaced in /var/lib/jabberd instead of /var/{run,log}/jabberd.

Jabberd logging is set to syslog and facility local3 which is improper. It should be 'daemon' like everything else. Since many sysadmins will deliberately and with good reason filter out 'local0-7' from being logged or will otherwise pay it little attention, jabberd failures will be ignored or not easily ascertained.

Finally, no daemon should EVER own it's configuration files. Yet all the files in /etc/jabberd including the directory are uid=jabber. They all properly should be uid=root. gid=jabber is fine.

The initscript also makes assumptions on PIDFILE names. The proper thing to do is to either parse the *.xml files for <pidfile> stanzas, or better yet, force the value by running 'sed -e' against the *.xml files according to what the initscript is expecting. Those values can furthermore be influenced by /etc/sysconfig/jabberd.

Version-Release number of selected component (if applicable):

2.2.14-3.el6

How reproducible:

always
  
Actual results:


Expected results:


Additional info:

Comment 1 Matěj Cepl 2015-02-26 00:49:46 UTC
Created attachment 995404 [details]
suggested patch

Comment 2 Matěj Cepl 2015-02-26 00:52:27 UTC
Hi,

just drive-by fixing of old bug. If you are still around could you please test packages from http://koji.fedoraproject.org/koji/taskinfo?taskID=9078051, please?

Comment 3 Adrian Reber 2015-02-27 14:33:31 UTC
Thanks for patch. If you are applying this on the EL6 branch it probably also needs to be applied on the other active branches.

Comment 4 matthew patton 2015-02-27 16:41:37 UTC
The build failed apparently. But the patch seems reasonable.

Comment 5 Matěj Cepl 2015-04-08 22:17:32 UTC
One more effort:

EPEL-6: http://koji.fedoraproject.org/koji/taskinfo?taskID=9441142
EPEL-7: http://koji.fedoraproject.org/koji/taskinfo?taskID=9441167
F21: http://koji.fedoraproject.org/koji/taskinfo?taskID=9441389

This at least builds and I would love to see whether it works for you as well. Once I get your OK, I will make it into proper Fedora/EPEL builds.

Comment 6 Fedora Update System 2016-10-05 13:17:12 UTC
jabberd-2.4.0-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2964816bab

Comment 7 Fedora Update System 2016-10-05 13:19:33 UTC
jabberd-2.4.0-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-62ecf20b8f

Comment 8 Fedora Update System 2016-10-05 20:30:13 UTC
jabberd-2.4.0-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-47a1c87c0e

Comment 9 Fedora Update System 2016-10-06 02:46:32 UTC
jabberd-2.4.0-4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-12-09 22:25:25 UTC
jabberd-2.4.0-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-12-10 05:19:49 UTC
jabberd-2.4.0-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.